---
schema_version: "1"
id: ce2325fb08846b6c2eb96115e05fc11f554a9d27b2438b9c4fd151e4aec6d4f4
title: Revisions Methods
collection: tableau
version: current
locale: en-us
portal_url: https://docs.salesforce.com/tableau/current/en-us/api/rest_api/REST/rest_api_ref_revisions.md
canonical_url: https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_ref_revisions.htm
source_site: help.tableau.com
content_type: documentation
content_hash: 5eb8eca037e4a9d7cdcf6ee7f672160cc54287f4c9b50f83106783e22d7c5f75
description: "Using the revisions methods of the Tableau Server REST API you can:"
---
[Skip to main content](#main-content)

# Revisions Methods

Using the revisions methods of the Tableau Server REST API you can:

- Get a list of all revisions of a workbook or data source
- Download or delete a specific workbook or data source revision with or without its extract

This functionality relates to the UI elements and concepts described at: [Allow Users to Save Revision History](https://help.tableau.com/current/server/en-us/revision_history_maintain.htm).

## Use Postman

Our Postman collection of requests enables you to construct, send, and examine HTTP requests to the Tableau Server or Tableau Cloud API without writing initial code. Postman is a free online app used by many developers for prototyping API calls, investigating issues, and generating request code in a variety of languages.

[Postman: Revisions](https://www.postman.com/salesforce-developers/salesforce-developers/folder/guu9wfr/revisions)

## Download Data Source Revision

Downloads a specific version of a data source prior to the current one in `.tdsx` format. To down load the current version of a data source use the [Download Data Source](#download_data_source) method.

**Note:** This method is available only if version history is enabled for the specified site. For more information, see [Maintain a History of Revisions](https://help.tableau.com/current/server/en-us/help.htm#revision_history_maintain.htm) in the Tableau Server Help.

#### URI

GET /api/api-version/sites/site-id/datasources/datasource-id/revisions/revision-number/content

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that contains the data source.</td></tr><tr><td><span class="api-placeholder">datasource-id</span></td><td>The ID of the data source to download.</td></tr><tr><td><span class="api-placeholder">revision-number</span></td><td>The revision number of the data source to download. To determine what versions are available, call <a href="#get_data_source_revisions">Get Data Source Revisions</a>.</td></tr></tbody></table>

#### Request Body

None

#### Permissions

Tableau Server users who are site administrators can download data source revisions on the site that they are administrators for. Users who are not server administrators or site administrators can get data source revisions if they have all of the following:

- A site role of ExplorerCanPublish.
- Read (view), Write (save), and Download (save as) permissions for the specified data source.
- Save (write) permissions for the project that contains the data source.

#### Access Scope

Scope added in API 3.27 (Tableau Cloud December 2025 / Server 2025.3).

```
tableau:content:read
```

For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### Response Code

200

#### Response Body

The data source content in `.tdsx` format (`Content-Type: application/octet-stream`).

The response will have the following content disposition header:

`Content-Disposition: name="tableau_datasource"; filename="datasource-filename"`

#### Version

Version 2.3 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>403</td><td>403028</td><td>Read forbidden</td><td>A non-administrator user attempted to download a data source, but the caller doesn't have required permissions.</td></tr><tr><td>403</td><td>403053</td><td>Version history not enabled</td><td>version history is not enabled for the specified site.</td></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>The site ID in the URI doesn't correspond to an existing site.</td></tr><tr><td>404</td><td>404004</td><td>Data source not found</td><td>The data source ID in the URI doesn't correspond to an existing data source.</td></tr><tr><td>404</td><td>404024</td><td>Data source revision not found</td><td>The revision number in the URI doesn't correspond to an existing data source revision.</td></tr><tr><td>405</td><td>405000</td><td>Invalid request method</td><td>Request type was not <span class="api-command-ref">GET</span>.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Download Workbook Revision

Downloads a specific version of a workbook in `.twb` or `.twbx` format.

**Note:** This method is available only if version history is enabled for the specified site. For more information, see

**Security note:** Content in .twb or .twbx files downloaded using this method is stored in plain text. All data, including filter values that may give semantic clues to the data, will be readable by anyone who opens the files.

[Maintain a History of Revisions](https://help.tableau.com/current/server/en-us/help.htm#revision_history_maintain.htm) in the Tableau Server Help.

#### URI

GET /api/api-version/sites/site-id/workbooks/workbook-id/revisions/revision-number/content

GET /api/api-version/sites/site-id/workbooks/workbook-id/revisions/revision-number/content?includeExtract=extract-value

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that contains the workbook.</td></tr><tr><td><span class="api-placeholder">workbook-id</span></td><td>The ID of the workbook to download.</td></tr><tr><td><span class="api-placeholder">revision-number</span></td><td>The revision number of the workbook to download. To determine what versions are available, call <a href="#get_workbook_revisions">Get Workbook Revisions</a>. Note that the current revision of a workbook cannot be accessed by this call; use <a href="#download_workbook">Download Workbook</a> instead.</td></tr><tr><td><span class="api-placeholder">extract-value</span></td><td>(Optional) The <span class="api-placeholder">extract-value</span> is a Boolean value (<code>False</code> or <code>True</code>). When the workbook specified for download has an extract, if you add the parameter <code>?includeExtract=False</code>, the extract is not included when you download the workbook. You can use this option to improve performance if you are downloading workbooks or data sources that have large extracts.</td></tr></tbody></table>

#### Request Body

None

#### Permissions

Users who are site administrators can download workbook revisions on the site that they are administrators for. Users who are not server administrators or site administrators can download workbook revisions if they have all of the following:

- A site role of ExplorerCanPublish.
- Read (view), Write (save), and Download (save as) permissions for the specified workbook.
- Save (write) permissions for the project that contains the workbook.

#### Required scope for JWT authorization

Introduced in Tableau Cloud June 2022 (API 3.16) and Tableau Server 2022.3 (API 3.17).

```
tableau:workbooks:download
```

For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### Response Code

200

#### Response Body

One of the following, depending on the format of the workbook:

- The workbook's content in `.twb` format (`Content-Type: application/xml`)
- The workbook's content in `.twbx` format (`Content-Type: application/octet-stream`)

In both cases, the response will have the following content disposition header:

`Content-Disposition: name="tableau_workbook"; filename="workbook-filename"`

#### Version

Version 2.3 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>403</td><td>403053</td><td>Version history not enabled</td><td>version history is not enabled for the specified site.</td></tr><tr><td>403</td><td>403019</td><td>Read forbidden</td><td>A non-administrator user attempted to download a workbook, but the caller doesn't have required permissions.</td></tr><tr><td>404</td><td>404024</td><td>Workbook revision not found</td><td>The revision number in the URI doesn't correspond to an existing data source revision.</td></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>The site ID in the URI doesn't correspond to an existing site.</td></tr><tr><td>404</td><td>404006</td><td>Workbook not found</td><td>The workbook ID in the URI doesn't correspond to an existing workbook.</td></tr><tr><td>405</td><td>405000</td><td>Invalid request method</td><td>Request type was not <span class="api-command-ref">GET</span>.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Get Data Source Revisions

Returns a list of revision information (history) for the specified data source.

**Note:** This method is available only if version history is enabled for the specified site. For more information, see [Maintain a History of Revisions](https://help.tableau.com/current/server/en-us/help.htm#revision_history_maintain.htm) in the Tableau Server Help.

To get a specific version of the data source from revision history, use the [Download Data Source Revision](#download_data_source_revision) method.

#### URI

GET /api/api-version/sites/site-id/datasources/datasource-id/revisions

GET /api/api-version/sites/site-id/datasources/datasource-id/revisions?pageSize\=page-size&pageNumber\=page-number

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that contains the data source to get revisions for.</td></tr><tr><td><span class="api-placeholder">datasource-id</span></td><td>The ID of the data source to get revisions for.</td></tr><tr><td><span class="api-placeholder">page-size</span></td><td>(Optional) The number of items to return in one response. The minimum is 1. The maximum is 1000. The default is 100. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_paging.htm">Paginating Results</a>.</td></tr><tr><td><span class="api-placeholder">page-number</span></td><td>(Optional) The offset for paging. The default is 1. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_paging.htm">Paginating Results</a>.</td></tr></tbody></table>

#### Request Body

None

#### Permissions

Tableau Server users who are site administrators can get data source revisions on the site that they are administrators for. Users who are not server administrators or site administrators can get data source revisions if they have all of the following:

- A site role of ExplorerCanPublish.
- Read (view), Write (save), and Download (save as) permissions for the specified data source.
- Save (write) permissions for the project that contains the data source.

#### Access Scope

Scope added in API 3.27 (Tableau Cloud December 2025 / Server 2025.3).

```
tableau:content:read
```

For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### Response Code

200

#### Response Body

```
<tsResponse>
  <pagination pageNumber="pageNumber" pageSize="page-size"
    totalAvailable="total-available" />
  <revisions>
    <revision revisionNumber="1" publishedAt="date" deleted="false">
      <publisher id="publisher-id" name="publisher-name"/>
    </revision>
    <revision revisionNumber="2" publishedAt="date" deleted="false">
    </revision>
    <revision revisionNumber="3" publishedAt="date" deleted="false" current="true" sizeInBytes="size>
      <publisher id="publisher-id" name="publisher-name"/>
    </revision>
  </revisions>
</tsResponse>
```

If the revision element includes the attribute `deleted="true"`, the data source has been deleted and cannot be downloaded using the [Download Data Source Revision](#download_data_source_revision) method.

If a user has been deleted from the site, no `<publisher>` element is included in the `<revision>` element.

#### Version

Version 2.3 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table">
                                <colgroup>
                                    <col class="api-error-table-col-1">
                                    <col class="api-error-table-col-2">
                                    <col class="api-error-table-col-3">
                                    <col>
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <th>HTTP status</th>
                                        <th><code>error</code> Code</th>
                                        <th>Condition</th>
                                        <th>Details</th>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400006</td>
                                        <td>Invalid page number</td>
                                        <td>
                                    The page number parameter is not an integer, is less than one, or is greater than the final page
                                    number for data sources at the requested page size.
                                </td>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400007</td>
                                        <td>Invalid page size</td>
                                        <td>The page size parameter is not an integer, or is less than one.</td>
                                    </tr>
                                    <tr>
                                        <td>403</td>
                                        <td>403014</td>
                                        <td>Page size limit exceeded</td>
                                        <td>The specified page size is larger than the maximum page size.</td>
                                    </tr>
                                    <tr>
                                        <td>403</td>
                                        <td>403053</td>
                                        <td>Version history not enabled</td>
                                        <td>version history is not enabled for the specified site.</td>
                                    </tr>
                                    <tr>
                                        <td>403</td>
                                        <td>403054</td>
                                        <td>A non-administrator user attempted to get data source revision information, but the caller doesn't have sufficient permissions.</td>
                                    </tr>
                                    <tr>
                                        <td>404</td>
                                        <td>404000</td>
                                        <td>Site not found</td>
                                        <td>The site ID in the URI doesn't correspond to an existing site.</td>
                                    </tr>
                                    <tr>
                                        <td>404</td>
                                        <td></td>
                                        <td>Data source not found</td>
                                        <td>The data source ID in the URI doesn't correspond to an existing data source.</td>
                                    </tr>
                                    <tr>
                                        <td>405</td>
                                        <td>405000</td>
                                        <td>Invalid request method</td>
                                        <td>Request type was not <span class="api-command-ref">GET</span>.</td>
                                    </tr>
                                </tbody>
                            </table>

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Get Workbook Revisions

Returns a list of revision information (history) for the specified workbook.

**Note:** This method is available only if version history is enabled for the specified site.

To get a specific version of the workbook from revision history, use the [Download Workbook Revision](#download_workbook_revision) method. For more information, see [Maintain a History of Revisions](https://help.tableau.com/current/server/en-us/help.htm#revision_history_maintain.htm) in the Tableau Server Help.

#### URI

GET /api/api-version/sites/site-id/workbooks/workbook-id/revisions

GET /api/api-version/sites/site-id/workbooks/workbook-id/revisions?pageSize\=page-size&pageNumber\=page-number

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that contains the workbook to get revisions for.</td></tr><tr><td><span class="api-placeholder">workbook-id</span></td><td>The ID of the workbook to get revisions for.</td></tr><tr><td><span class="api-placeholder">page-size</span></td><td>(Optional) The number of items to return in one response. The minimum is 1. The maximum is 1000. The default is 100. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_paging.htm">Paginating Results</a>.</td></tr><tr><td><span class="api-placeholder">page-number</span></td><td>(Optional) The offset for paging. The default is 1. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_paging.htm">Paginating Results</a>.</td></tr></tbody></table>

#### Request Body

None

#### Permissions

Tableau Server users who are site administrators can get workbook revisions on the site that they are administrators for. Users who are not server administrators or site administrators can get workbook revisions if they have all of the following:

- A site role of ExplorerCanPublish.
- Read (view), Write (save), and Download (save as) permissions for the specified workbook.
- Save (write) permissions for the project that contains the workbook.

#### Access Scope

Scope added in API 3.27 (Tableau Cloud December 2025 / Server 2025.3).

```
tableau:content:read
```

For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### Response Code

200

#### Response Body

```
<tsResponse>
  <pagination pageNumber="pageNumber" pageSize="page-size"
       totalAvailable="total-available" />
  <revisions>
    <revision createdAt="date" revisionNumber="1" isDeleted="false">
      <user id="user-id" name="user-name"/>
    </revision>
    <revision createdAt="date" revisionNumber="2" isDeleted="false">
    </revision>
    <revision createdAt="date" revisionNumber="3" isCurrent="true">
        <user id="user-id" name="user-name"/>
    </revision>
  </revisions>
</tsResponse>
```

If the revision element includes the attribute `isDeleted="true"`, the workbook has been deleted and cannot be downloaded using the [Download Workbook Revision](#download_workbook_revision) method.

If a user has been deleted from the site, no `<user>` element is included in the `<revision>` element.

#### Version

Version 2.3 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table">
                                <colgroup>
                                    <col class="api-error-table-col-1">
                                    <col class="api-error-table-col-2">
                                    <col class="api-error-table-col-3">
                                    <col>
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <th>HTTP status</th>
                                        <th><code>error</code> Code</th>
                                        <th>Condition</th>
                                        <th>Details</th>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400006</td>
                                        <td>Invalid page number</td>
                                        <td>
                                    The page number parameter is not an integer, is less than one, or is greater than the final page
                                    number for data sources at the requested page size.
                                </td>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400007</td>
                                        <td>Invalid page size</td>
                                        <td>The page size parameter is not an integer, or is less than one.</td>
                                    </tr>
                                    <tr>
                                        <td>403</td>
                                        <td>403014</td>
                                        <td>Page size limit exceeded</td>
                                        <td>The specified page size is larger than the maximum page size.</td>
                                    </tr>
                                    <tr>
                                        <td>403</td>
                                        <td>403053</td>
                                        <td>Version history not enabled</td>
                                        <td>version history is not enabled for the specified site.</td>
                                    </tr>
                                    <tr>
                                        <td>403</td>
                                        <td>403056</td>
                                        <td>A non-administrator user attempted to get workbook revision information, but the caller doesn't have sufficient permissions.</td>
                                    </tr>
                                    <tr>
                                        <td>404</td>
                                        <td>404000</td>
                                        <td>Site not found</td>
                                        <td>The site ID in the URI doesn't correspond to an existing site.</td>
                                    </tr>
                                    <tr>
                                        <td>404</td>
                                        <td>404006</td>
                                        <td>Workbook not found</td>
                                        <td>The workbook ID in the URI doesn't correspond to an existing workbook.</td>
                                    </tr>
                                    <tr>
                                        <td>405</td>
                                        <td>405000</td>
                                        <td>Invalid request method</td>
                                        <td>Request type was not <span class="api-command-ref">GET</span>.</td>
                                    </tr>
                                </tbody>
                            </table>

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Remove Data Source Revision

Removes a specific version of a data source from the specified site.

The content is removed, and the specified revision can no longer be downloaded using [Download Data Source Revision](#download_data_source_revision). If you call [Get Data Source Revisions](#get_data_source_revisions), the revision that's been removed is listed with the attribute `IsDeleted="true"`.

**Note:** Calling this method permanently removes the specified data source revision.

#### URI

DELETE /api/api-version/sites/site-id/datasources/datasource-id/revisions/revision-number

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that contains the group.</td></tr><tr><td><span class="api-placeholder">datasource-id</span></td><td>The ID of the data source to remove the revision for.</td></tr><tr><td><span class="api-placeholder">revision-number</span></td><td>The revision number of the data source to remove. To determine what versions are available, call <a href="#get_data_source_revisions">Get Data Source Revisions</a>.</td></tr></tbody></table>

#### Request Body

None

#### Permissions

Tableau Server users who are site administrators can remove data source revisions on the site that they are administrators for. Users who are not server administrators or site administrators can remove data source revisions if they have all of the following:

- A site role of ExplorerCanPublish.
- Read (view), Write (save), and Download (save as) permissions for the specified data source.
- Save (write) permissions for the project that contains the data source.

#### Access Scope

Scope added in API 3.27 (Tableau Cloud December 2025 / Server 2025.3).

```
tableau:datasources:delete
```

For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### Response Code

204

#### Response Body

None

#### Version

Version 2.3 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>403</td><td>403004</td><td>Deletion forbidden</td><td>A non-administrator user attempted to remove a data source revision, but the caller doesn't have required permissions.</td></tr><tr><td>403</td><td>403053</td><td>Version history not enabled</td><td>version history is not enabled for the specified site.</td></tr><tr><td>403</td><td>403055</td><td>Cannot delete head revision</td><td>The head (first) version cannot be deleted. To remove the data source, call <a href="#delete_data_source">Delete Data Source</a>.</td></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>The site ID in the URI doesn't correspond to an existing site.</td></tr><tr><td>404</td><td>404006</td><td>Data source not found</td><td>The data source ID in the URI doesn't correspond to an existing data source.</td></tr><tr><td>404</td><td>404024</td><td>Data source revision not found</td><td>The revision number in the URI doesn't correspond to an existing data source revision.</td></tr><tr><td>405</td><td>405000</td><td>Invalid request method</td><td>Request type was not <span class="api-command-ref">DELETE</span>.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Remove Workbook Revision

Removes a specific version of a workbook from the specified site.

The content is removed, and the specified revision can no longer be downloaded using [Download Workbook Revision](#download_workbook_revision). If you call [Get Workbook Revisions](#get_workbook_revisions), the revision that's been removed is listed with the attribute `IsDeleted="true"`.

**Note:** Calling this method permanently removes the specified workbook revision.

#### URI

DELETE /api/api-version/sites/site-id/workbooks/workbook-id/revisions/revision-number

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that contains the group.</td></tr><tr><td><span class="api-placeholder">workbook-id</span></td><td>The ID of the workbook to remove the revision for.</td></tr><tr><td><span class="api-placeholder">revision-number</span></td><td>The revision number of the workbook to remove. To determine what versions are available, call <a href="#get_workbook_revisions">Get Workbook Revisions</a>.</td></tr></tbody></table>

#### Request Body

None

#### Permissions

Tableau Server users who are site administrators can remove workbook revisions on the site that they are administrators for. Users who are not server administrators or site administrators can remove workbook revisions if they have all of the following:

- A site role of ExplorerCanPublish.
- Read (view), Write (save), and Download (save as) permissions for the specified workbook.
- Save (write) permissions for the project that contains the workbook.

#### Access Scope

Scope added in API 3.27 (Tableau Cloud December 2025 / Server 2025.3).

```
tableau:workbooks:delete
```

For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### Response Code

204

#### Response Body

None

#### Version

Version 2.0 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>403</td><td>403004</td><td>Deletion forbidden</td><td>A non-administrator user attempted to remove a data source revision, but the caller doesn't have required permissions.</td></tr><tr><td>403</td><td>403053</td><td>Version history not enabled</td><td>version history is not enabled for the specified site.</td></tr><tr><td>403</td><td>403055</td><td>Cannot delete head revision</td><td>The head (first) version cannot be deleted. To remove the workbook, call <a href="#delete_workbook">Delete Workbook</a>.</td></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>The site ID in the URI doesn't correspond to an existing site.</td></tr><tr><td>404</td><td>404006</td><td>Workbook not found</td><td>The workbook ID in the URI doesn't correspond to an existing workbook.</td></tr><tr><td>404</td><td>404024</td><td>Workbook revision not found</td><td>The revision number in the URI doesn't correspond to an existing workbook revision.</td></tr><tr><td>405</td><td>405000</td><td>Invalid request method</td><td>Request type was not <span class="api-command-ref">DELETE</span>.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).